### Encoding: latin1

### Name: algo.hmm
### Title: Hidden Markov Model (HMM) method
### Aliases: algo.hmm
### Keywords: classif

### ** Examples

## Not run: 
##D set.seed(123)
##D #Simulate outbreak data from HMM
##D counts <- sim.pointSource(p = 0.98, r = 0.8, length = 3*52,
##D                               A = 1, alpha = 1, beta = 0, phi = 0,
##D                               frequency = 1, state = NULL, K = 1.5)
##D 
##D #Do surveillance using a two state HMM without trend component and
##D #the effect of the harmonics being the same in both states. A sliding
##D #window of two years is used to fit the HMM
##D surv <- algo.hmm(counts, control=list(range=(2*52):length(counts$observed),
##D                                    Mtilde=2*52,noStates=2,trend=FALSE,
##D                                    covEffectsEqual=TRUE))
##D plot(surv,legend=list(x="topright"))
## End(Not run)



