### Encoding: latin1

### Name: estimateGLRNbHook
### Title: Hook function for in-control mean estimation
### Aliases: estimateGLRNbHook
### Keywords: regression

### ** Examples

## Not run: 
##D estimateGLRNbHook <- function() {
##D   #Fetch control object from parent
##D   control <- parent.frame()$control
##D   #The period
##D   p <- parent.frame()$disProgObj$freq
##D   #Current range to perform surveillance on
##D   range <- parent.frame()$range
##D 
##D   #Define training & test data set (the rest)
##D   train <- 1:(range[1]-1)
##D   test <- range
##D   
##D   #Perform an estimation based on all observations before timePoint
##D   #Event better - don't do this at all in the algorithm - force
##D   #user to do it himself - coz its a model selection problem
##D   data <- data.frame(y=parent.frame()$disProgObj$observed[t],t=train)
##D   #Build the model equation
##D   formula <- "y ~ 1 "
##D   if (control$mu0Model$trend) { formula <- paste(formula," + t",sep="") }
##D   for (s in 1:control$mu0Model$S) {
##D     formula <- paste(formula,"+cos(2*",s,"*pi/p*t)+ sin(2*",s,"*pi/p*t)",sep="")
##D   }
##D   #Fit the GLM
##D   m <- eval(substitute(glm.nb(form,data=data),
##D                       list(form=as.formula(formula))))
##D 
##D   #Predict mu_{0,t}
##D   return(as.numeric(predict(m,newdata=data.frame(t=range),type="response")))
##D }
## End(Not run)



